# Makefile for Watcom C++ 10.0 for OS/2 32-bit

MSGDIR=..\..\msgapi
#COPTS=-oneatx
COPTS=-d2

.c.obj:
  wcl386 $(COPTS) -zq -wx -c -DOS2 -DUSE_MSGAPI -I$(MSGDIR) $<

objs=areas.obj    \
     bmg.obj      \
     config.obj   \
     control.obj  \
     date.obj     \
     dialogs.obj  \
     dirute.obj   \
     dlgbox.obj   \
     fido.obj     \
     getopts.obj  \
     help.obj     \
     helpcmp.obj  \
     helpinfo.obj \
     init.obj     \
     keycode.obj  \
     list.obj     \
     maintmsg.obj \
     makemsgn.obj \
     memextra.obj \
     menu.obj     \
     misc.obj     \
     mnu.obj      \
     msg.obj      \
     msged.obj    \
     mxbt.obj     \
     normalc.obj  \
     nshow.obj    \
     os2scr.obj   \
     quick.obj    \
     quote.obj    \
     readmail.obj \
     screen.obj   \
     strextra.obj \
     system.obj   \
     template.obj \
     textfile.obj \
     userlist.obj \
     vsev.obj     \
     vsevops.obj  \
     win.obj      \
     wrap.obj

msgedp.exe: $(objs)
  wcl386 $(COPTS) -k120000 -fe=msgedp.exe $(objs) $(MSGDIR)\msgapiw.lib
